<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_03_media() */
/* タブのスラグ haumenu_define_tab_slug_03_media() */
/* $option_name 設定名 haumenu_define_option_name_03_media() */
/* get_option GetOP03_media() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_03_media( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_media';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_03_media();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		$set_name . 'enable-gallery-setting' => array(
			'.enable-lightbox-slide-wrapper', // ライトボックススライダー
			'.enable-lightbox-auto-play-wrapper', //自動再生
			'.disable-lightbox-auto-play-page-id-wrapper', //自動再生機能をオフにするページID
			'.delay-time-wrapper', //画像の表示時間
			'.image-size-in-gallery-wrapper', // 画像サイズ
			'.gallery-columns-wrapper', // 列数
		),
		$set_name . 'enable-image-block-setting' => array(
			'.set-image-align-wrapper', // 画像の位置
			'.set-image-size-wrapper', // 画像のサイズ
			'.auto-set-image-block-lightbox-wrapper', // ライトボックスの有効化
		)
	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_03_media', 20 );

/*** メディアページへの直アクセスをトップページへリダイレクト ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_media_file_access(){
//項目の追加
	add_settings_field(
		'disable-media-file-access', // 設定名
		__('Redirect direct access to media pages','hima-art-utility'), // 設定タイトル
		'haumenu_disable_media_file_access', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_media_file_access' );

/* 入力フォーム */
function haumenu_disable_media_file_access() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-media-file-access'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('All accesses to image pages and attached file pages will transition to the top page.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** メディアページをnoindexにする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_media_page_noindex(){
//項目の追加
	add_settings_field(
		'media-page-noindex', // 設定名
		__('Make media pages noindex','hima-art-utility'), // 設定タイトル
		'haumenu_media_page_noindex', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_media_page_noindex' );

/* 入力フォーム */
function haumenu_media_page_noindex() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'media-page-noindex'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Add a noindex meta tag to media pages generated when uploading images to prevent them from being indexed by search engines','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 動画ブロックのダウンロードを無効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_video_download(){
//項目の追加
	add_settings_field(
		'disable-video-download', // 設定名
		__('Disable video block downloads','hima-art-utility'), // 設定タイトル
		'haumenu_disable_video_download', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_video_download' );

/* 入力フォーム */
function haumenu_disable_video_download() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-video-download'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Hide the download button that appears when playback controls are enabled in a video block','hima-art-utility'); ?></p>
</label>
<?php
}

/***** ギャラリーブロックの規定動作 *****/
/*** 設定を有効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_default_gallery_settings(){
//項目の追加
	add_settings_field(
		'enable-gallery-setting', // 設定名
		__('Settings when inserting a gallery block','hima-art-utility'), // 設定タイトル
		'haumenu_default_gallery_settings', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_default_gallery_settings' );

/* 入力フォーム */
function haumenu_default_gallery_settings() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'enable-gallery-setting'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<span><?php esc_html_e('Enable the following behaviors and basic settings when inserting a new gallery block.','hima-art-utility'); ?></span>
	<p class="haup-admin-font-red"><?php esc_html_e('After enabling this feature, the following settings will only be applied when inserting a new gallery block. Please note that the settings for existing gallery blocks will not be changed.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** スライド式ライトボックスを有効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gallery_use_lightbox_slide(){
//項目の追加
	add_settings_field(
		'enable-lightbox-slide', // 設定名
		'', // 設定タイトル
		'haumenu_gallery_use_lightbox_slide', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gallery_use_lightbox_slide' );

/* 入力フォーム */
function haumenu_gallery_use_lightbox_slide() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'enable-lightbox-slide'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="enable-lightbox-slide-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<span><?php esc_html_e('Enable the lightbox slider','hima-art-utility'); ?></span>
</label>
	<p><?php esc_html_e('Image blocks within the gallery that are set to "Media File" will be displayed as a sliding lightbox gallery. This sliding lightbox gallery feature will also apply to existing gallery blocks with the same settings.','hima-art-utility'); ?></p>
	<p class="haup-admin-bk"><?php esc_html_e('If you disable this setting, the sliding lightbox gallery will stop working, and you will revert to the standard WordPress lightbox function.','hima-art-utility'); ?></p>
<details class="accordion"  style="margin: 5px 0px 0px 0px;overflow: hidden;">
<summary class="accordion__title" style="cursor: pointer;"><?php esc_html_e('View detailed description','hima-art-utility'); ?></summary>
<div class="accordion__content">
	<p><?php esc_html_e('In WordPress standard gallery feature, you can specify "Media File" as the link for an image in the gallery that you want to display in a lightbox, allowing users to click on the image to enlarge it.','hima-art-utility'); ?></p>
	<p><?php esc_html_e('However, since the standard features do not allow you to specify how images open or to navigate pages, the only way to return to the original screen after enlarging an image is to click the browser "back" button.','hima-art-utility'); ?></p>
	<p><?php esc_html_e('To resolve this issue, this feature allows you to enlarge images in the gallery that are linked to "media files," easily switch between images within that gallery using arrow buttons, and easily return to the original page by clicking the "×" button or outside the image.','hima-art-utility'); ?></p>
	<p><?php esc_html_e('The explanation in the settings screen states that disabling the feature will revert to the standard lightbox because, after enabling this feature, the links to images inserted in the gallery are automatically set to "media files." It is important to note that to disable this feature and completely disable the lightbox for images in the gallery, you need to disable all links to individual images.','hima-art-utility'); ?></p>
</div>
</details>
</div>
<?php
}

/*** スライド式ライトボックスの自動再生を有効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gallery_use_lightbox_slide_with_auto_play(){
//項目の追加
	add_settings_field(
		'enable-lightbox-auto-play', // 設定名
		'', // 設定タイトル
		'haumenu_gallery_use_lightbox_slide_with_auto_play', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gallery_use_lightbox_slide_with_auto_play' );

/* 入力フォーム */
function haumenu_gallery_use_lightbox_slide_with_auto_play() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'enable-lightbox-auto-play'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<div class="enable-lightbox-auto-play-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<span><?php esc_html_e('Enable autoplay (auto-slide).','hima-art-utility'); ?></span>
</label>
	<p><?php esc_html_e('In addition to the previous/next image switching button function, this enables the automatic image slideshow playback function.','hima-art-utility'); ?></p>
<?php
}

/*** 自動再生（自動スライド）を無効にするページのID ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_gallery_lightbox_auto_play_page_id(){
//項目の追加
	add_settings_field(
		'disable-lightbox-auto-play-page-id', // 設定名
		'', // 設定タイトル
		'haumenu_disable_gallery_lightbox_auto_play_page_id', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_gallery_lightbox_auto_play_page_id' );

/* 入力フォーム */
function haumenu_disable_gallery_lightbox_auto_play_page_id() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-lightbox-auto-play-page-id'; //個別配列名

	// エラー対策：値が存在しない場合は空文字を代入する
	$value = isset( $options[ $option_name ] ) ? $options[ $option_name ] : '';
?>
<div class="disable-lightbox-auto-play-page-id-wrapper">
<label>
	<p><?php esc_html_e('Even if autoplay is enabled, you can disable it on a specific page by entering the page ID in the form below (please enter one page ID per line).','hima-art-utility'); ?></p>
	<textarea 
    name="<?php echo esc_attr($set_name . '[' .$option_name. ']'); ?>" 
    id="<?php echo esc_attr($set_name . $option_name ); ?>" 
    cols="20" 
    rows="5" 
    placeholder="<?php esc_attr_e("Example:\n123\n456", 'hima-art-utility'); ?>"
><?php echo esc_html( $value ); ?></textarea>
</label>
</div>
<?php
}

/*** 表示間隔 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_gallery_auto_play_delay_time(){
//項目の追加
	add_settings_field(
		'delay-time', // 設定名
		'', // 設定タイトル
		'haumenu_gallery_auto_play_delay_time', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_gallery_auto_play_delay_time' );

/* 入力フォーム */
function haumenu_gallery_auto_play_delay_time() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'delay-time'; //個別配列名
?>
<div class="delay-time-wrapper">
<label>
	<p><?php esc_html_e('Specify the time (interval) for displaying each image in milliseconds (1 second = 1000).','hima-art-utility'); ?></p>
	<input class="transform" pattern="^[1-9][0-9]*$" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, 4000 milliseconds (4 seconds) will be used.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ギャラリーへ挿入する画像のサイズ ***/
function haumenu_init_field_set_image_size_in_gallery() {
	add_settings_field(
		'image-size-in-gallery', // 個別キー
		'', // 項目名
		'haumenu_set_image_size_in_gallery', // 出力関数
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);
}
add_action( 'admin_init', 'haumenu_init_field_set_image_size_in_gallery' );


/* 入力フォーム */
function haumenu_set_image_size_in_gallery(){
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'image-size-in-gallery'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="image-size-in-gallery-wrapper">
<p><?php esc_html_e('Image size to insert into gallery', 'hima-art-utility'); ?></p>
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='1' <?php selected($selected , '1' ); ?>><?php esc_html_e('Large', 'hima-art-utility'); ?></option>
<option value='2' <?php selected($selected , '2' ); ?> ><?php esc_html_e('Medium', 'hima-art-utility'); ?></option>
<option value='3' <?php selected($selected , '3' ); ?> ><?php esc_html_e('Thumbnail', 'hima-art-utility'); ?></option>
<option value='4' <?php selected($selected , '4' ); ?>><?php esc_html_e('Full(Not Recommended)', 'hima-art-utility'); ?></option>
</select>
<p class="haup-admin-bk"><?php esc_html_e('WordPress defaults to "large." Using a smaller size can reduce the overall page data transfer and potentially improve loading speed.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** ギャラリーの列数 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_change_gallery_columns(){
//項目の追加
	add_settings_field(
		'gallery-columns', // 設定名
		'', // 設定タイトル
		'haumenu_change_gallery_columns', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_change_gallery_columns' );

/* 入力フォーム */
function haumenu_change_gallery_columns() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'gallery-columns'; //個別配列名
?>
<div class="gallery-columns-wrapper">
<label>
	<p><?php esc_html_e('Number of columns when inserting a gallery','hima-art-utility'); ?></p>
	<input class="transform" pattern="^[1-9][0-9]*$" name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
</label>
<p class="haup-admin-bk"><?php esc_html_e('If not set, the default WordPress value of "2" will be applied.','hima-art-utility'); ?></p>
</div>
<?php
}

/***** 画像ブロックの規定動作 *****/
/*** 設定を有効にする ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_default_image_block_settings(){
//項目の追加
	add_settings_field(
		'enable-image-block-setting', // 設定名
		__('Settings when inserting an image block','hima-art-utility'), // 設定タイトル
		'haumenu_default_image_block_settings', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_default_image_block_settings' );

/* 入力フォーム */
function haumenu_default_image_block_settings() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'enable-image-block-setting'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<span><?php esc_html_e('Enable the following actions and basic settings when inserting a new image block.','hima-art-utility'); ?></span>
	<p class="haup-admin-font-red"><?php esc_html_e('After enabling this feature, the following settings will only be applied when you insert a new image block. Please note that the settings of existing image blocks will not be changed.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 挿入する画像の大きさ ***/
function haumenu_init_field_auto_set_insert_image_size() {
	add_settings_field(
		'set-image-size', // 個別キー
		'', // 項目名
		'haumenu_auto_set_insert_image_size', // 出力関数
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);
}
add_action( 'admin_init', 'haumenu_init_field_auto_set_insert_image_size' );


/* 入力フォーム */
function haumenu_auto_set_insert_image_size(){
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'set-image-size'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="set-image-size-wrapper">
<p><?php esc_html_e('Specify the size of the image when inserting an image block.', 'hima-art-utility'); ?></p>
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='1' <?php selected($selected , '1' ); ?>><?php esc_html_e('Large', 'hima-art-utility'); ?></option>
<option value='2' <?php selected($selected , '2' ); ?> ><?php esc_html_e('Medium', 'hima-art-utility'); ?></option>
<option value='3' <?php selected($selected , '3' ); ?> ><?php esc_html_e('Thumbnail', 'hima-art-utility'); ?></option>
<option value='4' <?php selected($selected , '4' ); ?> ><?php esc_html_e('Full(Not Recommended)', 'hima-art-utility'); ?></option>
</select>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, the default WordPress size "Large" will be used.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 挿入する画像の位置 ***/
function haumenu_init_field_auto_set_insert_image_align() {
	add_settings_field(
		'set-image-align', // 個別キー
		'', // 項目名
		'haumenu_auto_set_insert_image_align', // 出力関数
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);
}
add_action( 'admin_init', 'haumenu_init_field_auto_set_insert_image_align' );


/* 入力フォーム */
function haumenu_auto_set_insert_image_align(){
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'set-image-align'; //個別配列名

	if(isset($options[$option_name])){
		$selected = $options[$option_name];
	}else{
		$selected = '';
	}
?>
<div class="set-image-align-wrapper">
<p><?php esc_html_e('Specify the position of the image when inserting an image block.', 'hima-art-utility'); ?></p>
<select name= '<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>' >
<option value='1' <?php selected($selected , '1' ); ?>><?php esc_html_e('Left', 'hima-art-utility'); ?></option>
<option value='2' <?php selected($selected , '2' ); ?> ><?php esc_html_e('Center', 'hima-art-utility'); ?></option>
<option value='3' <?php selected($selected , '3' ); ?> ><?php esc_html_e('Right', 'hima-art-utility'); ?></option>
</select>
<p class="haup-admin-bk"><?php esc_html_e('If not specified, the default WordPress "left" orientation will be applied.','hima-art-utility'); ?></p>
</div>
<?php
}

/*** 画像挿入時のライトボックス有効化 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_auto_set_image_block_lightbox(){
//項目の追加
	add_settings_field(
		'auto-set-image-block-lightbox', // 設定名
		'', // 設定タイトル
		'haumenu_auto_set_image_block_lightbox', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_media(), //表示させるタブのスラグ
		haumenu_define_section_id_03_media(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-convine' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_auto_set_image_block_lightbox' );

/* 入力フォーム */
function haumenu_auto_set_image_block_lightbox() {
	$set_name = haumenu_define_option_name_03_media(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'auto-set-image-block-lightbox'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}

	//theme.jsonを持つテーマが有効化されているかでメッセージを出し分ける
	$has_theme_json = ! empty( locate_template( 'theme.json' ) );

	if ( $has_theme_json ) {
		$message_text = __('*This feature is available.','hima-art-utility');
		$message= '<p style="color:green;font-weight:700;">'.$message_text.'</p>';
	}else{
		$message_text = __('*This only works with themes that have a theme.json file, so it may not work with your theme.','hima-art-utility');
		$message= '<p class="haup-admin-font-red" style="font-weight:700;">'.$message_text.'</p>';
	}
?>
<div class="auto-set-image-block-lightbox-wrapper">
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<span><?php esc_html_e('Automatically enable "Enlarge to view" when inserting images.','hima-art-utility'); ?></span>
</label>
	<?php echo wp_kses_post( $message ); ?>
	<p class="haup-admin-font-red"><?php esc_html_e('Even if you disable the feature, images that already have "Zoom In" selected will retain their settings. To completely disable the lightbox, you need to manually turn off "Zoom In" for each individual image.','hima-art-utility'); ?></p>
	<p class="haup-admin-bk"><?php esc_html_e('Please note that this feature only works if the enabled theme has a theme.json file.','hima-art-utility'); ?></p>
</div>
<?php
}
